> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/cn/legacy/vm/virtual-machine-instance/inquirypriceinstancetrafficpackage.md).

# InquiryPriceInstanceTrafficPackage

## 1. 接口描述

本接口(InquiryPriceInstanceTrafficPackage)用于虚拟机实例修改流量包询价。

{% hint style="info" %}
**注意事项**

* 仅当机器的[`internetChargeType`](/api-reference/cn/zec/datastructure.md#internetchargetype)为`ByTrafficPackage`时可用
  {% endhint %}

## 2. 请求参数

以下请求参数列表仅列出了接口中需要的请求参数

| 参数名称               | 必选 | 类型     | 描述                                  |
| ------------------ | -- | ------ | ----------------------------------- |
| instanceId         | 是  | String | 待操作的实例ID。                           |
| trafficPackageSize | 是  | Float  | <p>流量包大小。</p><p>可选值范围：\[0.0, +)</p> |

## 3. 响应结果

| 参数名称                | 类型                                                                           | 描述                                                       |
| ------------------- | ---------------------------------------------------------------------------- | -------------------------------------------------------- |
| requestId           | String                                                                       | <p>唯一请求 ID。</p><p>每次请求都会返回。定位问题时需要提供该次请求的 requestId。</p> |
| trafficPackagePrice | Array of [PriceItem](/api-reference/cn/legacy/vm/datastructure.md#priceitem) | 流量包价格。                                                   |

## 4. 代码示例

{% tabs %}
{% tab title="示例" %}
**1. 实例修改流量包询价**

```json
POST /api/v2/vm HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: InquiryPriceInstanceTrafficPackage
<Common Request Params>

Request：
{
  "instanceId": "instanceId",
  "trafficPackageSize": 100
}

Response：
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {  
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "trafficPackagePrice": [
      {
        "discount": 95.0,
        "discountPrice": 7524.0,
        "originalPrice": 7920.0,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": null
      },
      {
        "discount": 100.0,
        "discountPrice": null,
        "originalPrice": null,
        "unitPrice": null,
        "discountUnitPrice": null,
        "chargeUnit": null,
        "stepPrices": [
          {
            "stepStart": 0.0,
            "stepEnd": null,
            "unitPrice": 0.08,
            "discountUnitPrice": 0.08
          }
        ]
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. 开发者工具

Zenlayer Cloud API 2.0 提供了配套的[开发工具集（SDK）](/api-reference/cn/api-introduction/toolkit.md)，未来会陆续支持更多开发语言，方便快速接入和使用Zenlayer的产品和服务。

## 6. 错误码

下面包含业务逻辑中遇到的错误码，其他错误码见[公共错误码](/api-reference/cn/api-introduction/instruction/commonerrorcode.md)

| HTTP状态码 | 错误码 | 说明 |
| ------- | --- | -- |
